Loading...
Searching...
No Matches
BALL::MMFF94OutOfPlaneBend Class Reference
Molecular Modeling » Molecular Mechanics » MMFF94 Force Field.

`#include <BALL/MOLMEC/MMFF94/MMFF94OutOfPlaneBend.h>`

Inheritance diagram for BALL::MMFF94OutOfPlaneBend:

## Classes

struct | OutOfPlaneBend

## Public Member Functions

| MMFF94OutOfPlaneBend ()
| Default constructor.
| MMFF94OutOfPlaneBend (ForceField &force_field)
| Constructor.
| MMFF94OutOfPlaneBend (const MMFF94OutOfPlaneBend &to_copy)
| Copy constructor.
virtual | ~MMFF94OutOfPlaneBend ()
| Destructor.
virtual bool | setup ()
virtual double | updateEnergy ()
| Calculates and returns the component's energy.
virtual void | updateForces ()
| Calculates and returns the component's forces.
const vector< OutOfPlaneBend > & | getOutOfPlaneBends () const
void | AddDV3_ (Vector3 &f3, const TVector3< double > d3)
Public Member Functions inherited from BALL::ForceFieldComponent
| ForceFieldComponent ()
| ForceFieldComponent (ForceField &force_field)
| ForceFieldComponent (const ForceFieldComponent &force_field_component)
virtual | ~ForceFieldComponent ()
ForceField * | getForceField () const
void | setForceField (ForceField &force_field)
void | setName (const String &name)
String | getName () const
bool | isEnabled () const
void | setEnabled (bool state)
virtual double | getEnergy () const
virtual void | update ()
double | updateScore ()
Public Member Functions inherited from BALL::ScoringComponent
| ScoringComponent ()
| ScoringComponent (const ScoringComponent &sc)
| ScoringComponent (ScoringFunction &sf)
void | selectBaseFunction (String function)
virtual | ~ScoringComponent ()
virtual void | clear ()
virtual void | setupLigand ()
ScoringFunction * | getScoringFunction () const
void | setScoringFunction (ScoringFunction &sf)
String | getName () const
void | setName (const String &name)
const String & | getTypeName ()
double | getRawScore () const
double | getScaledScore () const
virtual void | update (const vector< std::pair< Atom *, Atom * > > &pair_vector)
virtual void | setLigandIntraMolecular (bool b)
bool | isLigandIntraMolecular ()
bool | isGridable ()
bool | isAtomPairwise ()
void | setCoefficient (const double &coeff)
const double & | getCoefficient ()
void | setNormalizationParameters (double stddev, double mean)
void | getNormalizationParameters (double &stddev, double &mean)
bool | isEnabled ()
void | enable ()
void | disable ()

## Additional Inherited Members

Protected Member Functions inherited from BALL::ScoringComponent
double | scaleScore (double score) const
ForceField * | force_field_
double | energy_
Protected Attributes inherited from BALL::ScoringComponent
bool | ligand_intra_molecular_
bool | gridable_
bool | atom_pairwise_
ScoringFunction * | scoring_function_
ScoringBaseFunction * | base_function_
double | score_
double | coefficient_
double | stddev_
double | mean_
bool | enabled_
String | type_name_

## Detailed Description

MMFF94 Out of plane component

Definition at line 27 of file MMFF94OutOfPlaneBend.h.

## Constructor & Destructor Documentation

## MMFF94OutOfPlaneBend() [1/3]

BALL::MMFF94OutOfPlaneBend::MMFF94OutOfPlaneBend | ( |  | ) |

Default constructor.

## MMFF94OutOfPlaneBend() [2/3]

BALL::MMFF94OutOfPlaneBend::MMFF94OutOfPlaneBend | ( | ForceField & | force_field | ) |

Constructor.

## MMFF94OutOfPlaneBend() [3/3]

BALL::MMFF94OutOfPlaneBend::MMFF94OutOfPlaneBend | ( | const MMFF94OutOfPlaneBend & | to_copy | ) |

Copy constructor.

## ~MMFF94OutOfPlaneBend()

virtual BALL::MMFF94OutOfPlaneBend::~MMFF94OutOfPlaneBend | ( |  | ) |

virtual

Destructor.

## Member Function Documentation

## AddDV3_()

void BALL::MMFF94OutOfPlaneBend::AddDV3_ | ( | Vector3 & | f3,
|  | const TVector3< double > | d3 )

inline

## getOutOfPlaneBends()

const vector< OutOfPlaneBend > & BALL::MMFF94OutOfPlaneBend::getOutOfPlaneBends | ( |  | ) | const

inline

Definition at line 69 of file MMFF94OutOfPlaneBend.h.

## setup()

virtual bool BALL::MMFF94OutOfPlaneBend::setup | ( |  | ) |

virtual

Setup method.

Exceptions

  BALL::Exception::TooManyErrors |

Reimplemented from BALL::ForceFieldComponent.

## updateEnergy()

virtual double BALL::MMFF94OutOfPlaneBend::updateEnergy | ( |  | ) |

virtual

Calculates and returns the component's energy.

Reimplemented from BALL::ForceFieldComponent.

## updateForces()

virtual void BALL::MMFF94OutOfPlaneBend::updateForces | ( |  | ) |

virtual

Calculates and returns the component's forces.

Reimplemented from BALL::ForceFieldComponent.